/*
 * "$Id: lut.h,v 1.1 94/02/01 19:43:52 mike Exp Locker: mike $"
 *
 *   Lookup tables for TOPCL, an SGI image to PCL converter.
 *
 * Copyright (c) 1993, 1994
 *     Easy Software Products
 *     P.O. Box 256
 *     Park Hall, MD  20667
 *     Attn: Michael Sweet (dodgecolt@delphi.com)
 *
 * This file is part of TOPCL.
 *
 * TOPCL is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
 * to anyone for the consequences of using it or for whether it serves any
 * particular purpose or works at all, unless he says so in writing.  Refer
 * to the TOPCL General Public License for full details.
 *
 * Everyone is granted permission to copy, modify and redistribute
 * TOPCL, but only under the conditions described in the TOPCL
 * General Public License.  A copy of this license is supposed to have been
 * given to you along with TOPCL so you can know your rights and
 * responsibilities.  It should be in a file named COPYING.  Among other
 * things, the copyright notice and this notice must be preserved on all
 * copies.
 *
 * Revision History:
 *
 *   $Log:	lut.h,v $
 * Revision 1.1  94/02/01  19:43:52  mike
 * Initial revision
 * 
 *
 */

#ifndef _LUT_H_
# define _LUT_H_

/*
 * Lookup tables for printer color level mappings...
 */

typedef struct
 {
  int value[4], /* Value to send printer */
      error[4]; /* Error from true value */
 } lut_t;


static lut_t pcl_lut[256] =
 {
  { { 0, 0, 0, 0}, {0, 0, 0, 0} },
  { { 0, 0, 0, 0}, {1, 1, 1, 1} },
  { { 0, 0, 0, 0}, {2, 2, 2, 2} },
  { { 0, 0, 0, 0}, {3, 3, 3, 3} },
  { { 0, 0, 0, 0}, {4, 4, 4, 4} },
  { { 0, 0, 0, 0}, {5, 5, 5, 5} },
  { { 0, 0, 0, 0}, {6, 6, 6, 6} },
  { { 0, 0, 0, 0}, {7, 7, 7, 7} },
  { { 0, 0, 0, 0}, {8, 8, 8, 8} },
  { { 0, 0, 0, 0}, {9, 9, 9, 9} },
  { { 0, 0, 0, 0}, {10, 10, 10, 10} },
  { { 0, 0, 0, 0}, {11, 11, 11, 11} },
  { { 0, 0, 0, 0}, {12, 12, 12, 12} },
  { { 0, 0, 0, 0}, {13, 13, 13, 13} },
  { { 0, 0, 0, 0}, {14, 14, 14, 14} },
  { { 0, 0, 0, 0}, {15, 15, 15, 15} },
  { { 0, 0, 0, 0}, {16, 16, 16, 16} },
  { { 0, 0, 0, 0}, {17, 17, 17, 17} },
  { { 0, 0, 0, 0}, {18, 18, 18, 18} },
  { { 0, 0, 0, 0}, {19, 19, 19, 19} },
  { { 0, 0, 0, 0}, {20, 20, 20, 20} },
  { { 0, 0, 0, 0}, {21, 21, 21, 21} },
  { { 0, 0, 0, 0}, {22, 22, 22, 22} },
  { { 0, 0, 0, 0}, {23, 23, 23, 23} },
  { { 0, 0, 0, 0}, {24, 24, 24, 24} },
  { { 0, 0, 0, 0}, {25, 25, 25, 25} },
  { { 0, 0, 0, 0}, {26, 26, 26, 26} },
  { { 0, 0, 0, 0}, {27, 27, 27, 27} },
  { { 0, 0, 0, 0}, {28, 28, 28, 28} },
  { { 0, 0, 0, 0}, {29, 29, 29, 29} },
  { { 0, 0, 0, 0}, {30, 30, 30, 30} },
  { { 0, 0, 0, 0}, {31, 31, 31, 31} },
  { { 0, 0, 0, 0}, {32, 32, 32, 32} },
  { { 0, 0, 0, 0}, {33, 33, 33, 33} },
  { { 0, 0, 0, 0}, {34, 34, 34, 34} },
  { { 0, 0, 0, 0}, {35, 35, 35, 35} },
  { { 0, 0, 0, 0}, {36, 36, 36, 36} },
  { { 0, 0, 0, 0}, {37, 37, 37, 37} },
  { { 0, 0, 0, 0}, {38, 38, 38, 38} },
  { { 0, 0, 0, 0}, {39, 39, 39, 39} },
  { { 0, 0, 0, 0}, {40, 40, 40, 40} },
  { { 0, 0, 0, 0}, {41, 41, 41, 41} },
  { { 0, 0, 0, 0}, {42, 42, 42, 42} },
  { { 0, 0, 0, 0}, {43, 43, 43, 43} },
  { { 0, 0, 0, 0}, {44, 44, 44, 44} },
  { { 0, 0, 0, 0}, {45, 45, 45, 45} },
  { { 0, 0, 0, 0}, {46, 46, 46, 46} },
  { { 0, 0, 0, 0}, {47, 47, 47, 47} },
  { { 0, 0, 0, 0}, {48, 48, 48, 48} },
  { { 0, 0, 0, 0}, {49, 49, 49, 49} },
  { { 0, 0, 0, 0}, {50, 50, 50, 50} },
  { { 0, 0, 0, 0}, {51, 51, 51, 51} },
  { { 0, 0, 0, 0}, {52, 52, 52, 52} },
  { { 0, 0, 0, 0}, {53, 53, 53, 53} },
  { { 0, 0, 0, 0}, {54, 54, 54, 54} },
  { { 0, 0, 0, 0}, {55, 55, 55, 55} },
  { { 0, 0, 0, 0}, {56, 56, 56, 56} },
  { { 0, 0, 0, 0}, {57, 57, 57, 57} },
  { { 0, 0, 0, 0}, {58, 58, 58, 58} },
  { { 0, 0, 0, 0}, {59, 59, 59, 59} },
  { { 0, 0, 0, 0}, {60, 60, 60, 60} },
  { { 0, 0, 0, 0}, {61, 61, 61, 61} },
  { { 0, 0, 0, 0}, {62, 62, 62, 62} },
  { { 0, 0, 0, 0}, {63, 63, 63, 63} },
  { { 0, 0, 0, 0}, {64, 64, 64, 64} },
  { { 0, 0, 0, 0}, {65, 65, 65, 65} },
  { { 0, 0, 0, 0}, {66, 66, 66, 66} },
  { { 0, 0, 0, 0}, {67, 67, 67, 67} },
  { { 0, 0, 0, 0}, {68, 68, 68, 68} },
  { { 0, 0, 0, 0}, {69, 69, 69, 69} },
  { { 0, 0, 0, 0}, {70, 70, 70, 70} },
  { { 0, 0, 0, 0}, {71, 71, 71, 71} },
  { { 0, 0, 0, 0}, {72, 72, 72, 72} },
  { { 0, 0, 0, 0}, {73, 73, 73, 73} },
  { { 0, 0, 0, 0}, {74, 74, 74, 74} },
  { { 0, 0, 0, 0}, {75, 75, 75, 75} },
  { { 0, 0, 0, 0}, {76, 76, 76, 76} },
  { { 0, 0, 0, 0}, {77, 77, 77, 77} },
  { { 0, 0, 0, 0}, {78, 78, 78, 78} },
  { { 0, 0, 0, 0}, {79, 79, 79, 79} },
  { { 0, 0, 0, 0}, {80, 80, 80, 80} },
  { { 0, 0, 0, 0}, {81, 81, 81, 81} },
  { { 0, 0, 0, 0}, {82, 82, 82, 82} },
  { { 0, 0, 0, 0}, {83, 83, 83, 83} },
  { { 0, 0, 0, 0}, {84, 84, 84, 84} },
  { { 0, 0, 0, 0}, {85, 85, 85, 85} },
  { { 0, 0, 0, 0}, {86, 86, 86, 86} },
  { { 0, 0, 0, 0}, {87, 87, 87, 87} },
  { { 0, 0, 0, 0}, {88, 88, 88, 88} },
  { { 0, 0, 0, 0}, {89, 89, 89, 89} },
  { { 0, 0, 0, 0}, {90, 90, 90, 90} },
  { { 0, 0, 0, 0}, {91, 91, 91, 91} },
  { { 0, 0, 0, 0}, {92, 92, 92, 92} },
  { { 0, 0, 0, 0}, {93, 93, 93, 93} },
  { { 0, 0, 0, 0}, {94, 94, 94, 94} },
  { { 0, 0, 0, 0}, {95, 95, 95, 95} },
  { { 0, 0, 0, 0}, {96, 96, 96, 96} },
  { { 0, 0, 0, 0}, {97, 97, 97, 97} },
  { { 0, 0, 0, 0}, {98, 98, 98, 98} },
  { { 0, 0, 0, 0}, {99, 99, 99, 99} },
  { { 0, 0, 0, 0}, {100, 100, 100, 100} },
  { { 0, 0, 0, 0}, {101, 101, 101, 101} },
  { { 0, 0, 0, 0}, {102, 102, 102, 102} },
  { { 0, 0, 0, 0}, {103, 103, 103, 103} },
  { { 0, 0, 0, 0}, {104, 104, 104, 104} },
  { { 0, 0, 0, 0}, {105, 105, 105, 105} },
  { { 0, 0, 0, 0}, {106, 106, 106, 106} },
  { { 0, 0, 0, 0}, {107, 107, 107, 107} },
  { { 0, 0, 0, 0}, {108, 108, 108, 108} },
  { { 0, 0, 0, 0}, {109, 109, 109, 109} },
  { { 0, 0, 0, 0}, {110, 110, 110, 110} },
  { { 0, 0, 0, 0}, {111, 111, 111, 111} },
  { { 0, 0, 0, 0}, {112, 112, 112, 112} },
  { { 0, 0, 0, 0}, {113, 113, 113, 113} },
  { { 0, 0, 0, 0}, {114, 114, 114, 114} },
  { { 0, 0, 0, 0}, {115, 115, 115, 115} },
  { { 0, 0, 0, 0}, {116, 116, 116, 116} },
  { { 0, 0, 0, 0}, {117, 117, 117, 117} },
  { { 0, 0, 0, 0}, {118, 118, 118, 118} },
  { { 0, 0, 0, 0}, {119, 119, 119, 119} },
  { { 0, 0, 0, 0}, {120, 120, 120, 120} },
  { { 0, 0, 0, 0}, {121, 121, 121, 121} },
  { { 0, 0, 0, 0}, {122, 122, 122, 122} },
  { { 0, 0, 0, 0}, {123, 123, 123, 123} },
  { { 0, 0, 0, 0}, {124, 124, 124, 124} },
  { { 0, 0, 0, 0}, {125, 125, 125, 125} },
  { { 0, 0, 0, 0}, {126, 126, 126, 126} },
  { { 0, 0, 0, 0}, {127, 127, 127, 127} },
  { { 0, 0, 0, 0}, {128, 128, 128, 128} },
  { { 15, 15, 15, 15}, {-126, -126, -126, -126} },
  { { 15, 15, 15, 15}, {-125, -125, -125, -125} },
  { { 15, 15, 15, 15}, {-124, -124, -124, -124} },
  { { 15, 15, 15, 15}, {-123, -123, -123, -123} },
  { { 15, 15, 15, 15}, {-122, -122, -122, -122} },
  { { 15, 15, 15, 15}, {-121, -121, -121, -121} },
  { { 15, 15, 15, 15}, {-120, -120, -120, -120} },
  { { 15, 15, 15, 15}, {-119, -119, -119, -119} },
  { { 15, 15, 15, 15}, {-118, -118, -118, -118} },
  { { 15, 15, 15, 15}, {-117, -117, -117, -117} },
  { { 15, 15, 15, 15}, {-116, -116, -116, -116} },
  { { 15, 15, 15, 15}, {-115, -115, -115, -115} },
  { { 15, 15, 15, 15}, {-114, -114, -114, -114} },
  { { 15, 15, 15, 15}, {-113, -113, -113, -113} },
  { { 15, 15, 15, 15}, {-112, -112, -112, -112} },
  { { 15, 15, 15, 15}, {-111, -111, -111, -111} },
  { { 15, 15, 15, 15}, {-110, -110, -110, -110} },
  { { 15, 15, 15, 15}, {-109, -109, -109, -109} },
  { { 15, 15, 15, 15}, {-108, -108, -108, -108} },
  { { 15, 15, 15, 15}, {-107, -107, -107, -107} },
  { { 15, 15, 15, 15}, {-106, -106, -106, -106} },
  { { 15, 15, 15, 15}, {-105, -105, -105, -105} },
  { { 15, 15, 15, 15}, {-104, -104, -104, -104} },
  { { 15, 15, 15, 15}, {-103, -103, -103, -103} },
  { { 15, 15, 15, 15}, {-102, -102, -102, -102} },
  { { 15, 15, 15, 15}, {-101, -101, -101, -101} },
  { { 15, 15, 15, 15}, {-100, -100, -100, -100} },
  { { 15, 15, 15, 15}, {-99, -99, -99, -99} },
  { { 15, 15, 15, 15}, {-98, -98, -98, -98} },
  { { 15, 15, 15, 15}, {-97, -97, -97, -97} },
  { { 15, 15, 15, 15}, {-96, -96, -96, -96} },
  { { 15, 15, 15, 15}, {-95, -95, -95, -95} },
  { { 15, 15, 15, 15}, {-94, -94, -94, -94} },
  { { 15, 15, 15, 15}, {-93, -93, -93, -93} },
  { { 15, 15, 15, 15}, {-92, -92, -92, -92} },
  { { 15, 15, 15, 15}, {-91, -91, -91, -91} },
  { { 15, 15, 15, 15}, {-90, -90, -90, -90} },
  { { 15, 15, 15, 15}, {-89, -89, -89, -89} },
  { { 15, 15, 15, 15}, {-88, -88, -88, -88} },
  { { 15, 15, 15, 15}, {-87, -87, -87, -87} },
  { { 15, 15, 15, 15}, {-86, -86, -86, -86} },
  { { 15, 15, 15, 15}, {-85, -85, -85, -85} },
  { { 15, 15, 15, 15}, {-84, -84, -84, -84} },
  { { 15, 15, 15, 15}, {-83, -83, -83, -83} },
  { { 15, 15, 15, 15}, {-82, -82, -82, -82} },
  { { 15, 15, 15, 15}, {-81, -81, -81, -81} },
  { { 15, 15, 15, 15}, {-80, -80, -80, -80} },
  { { 15, 15, 15, 15}, {-79, -79, -79, -79} },
  { { 15, 15, 15, 15}, {-78, -78, -78, -78} },
  { { 15, 15, 15, 15}, {-77, -77, -77, -77} },
  { { 15, 15, 15, 15}, {-76, -76, -76, -76} },
  { { 15, 15, 15, 15}, {-75, -75, -75, -75} },
  { { 15, 15, 15, 15}, {-74, -74, -74, -74} },
  { { 15, 15, 15, 15}, {-73, -73, -73, -73} },
  { { 15, 15, 15, 15}, {-72, -72, -72, -72} },
  { { 15, 15, 15, 15}, {-71, -71, -71, -71} },
  { { 15, 15, 15, 15}, {-70, -70, -70, -70} },
  { { 15, 15, 15, 15}, {-69, -69, -69, -69} },
  { { 15, 15, 15, 15}, {-68, -68, -68, -68} },
  { { 15, 15, 15, 15}, {-67, -67, -67, -67} },
  { { 15, 15, 15, 15}, {-66, -66, -66, -66} },
  { { 15, 15, 15, 15}, {-65, -65, -65, -65} },
  { { 15, 15, 15, 15}, {-64, -64, -64, -64} },
  { { 15, 15, 15, 15}, {-63, -63, -63, -63} },
  { { 15, 15, 15, 15}, {-62, -62, -62, -62} },
  { { 15, 15, 15, 15}, {-61, -61, -61, -61} },
  { { 15, 15, 15, 15}, {-60, -60, -60, -60} },
  { { 15, 15, 15, 15}, {-59, -59, -59, -59} },
  { { 15, 15, 15, 15}, {-58, -58, -58, -58} },
  { { 15, 15, 15, 15}, {-57, -57, -57, -57} },
  { { 15, 15, 15, 15}, {-56, -56, -56, -56} },
  { { 15, 15, 15, 15}, {-55, -55, -55, -55} },
  { { 15, 15, 15, 15}, {-54, -54, -54, -54} },
  { { 15, 15, 15, 15}, {-53, -53, -53, -53} },
  { { 15, 15, 15, 15}, {-52, -52, -52, -52} },
  { { 15, 15, 15, 15}, {-51, -51, -51, -51} },
  { { 15, 15, 15, 15}, {-50, -50, -50, -50} },
  { { 15, 15, 15, 15}, {-49, -49, -49, -49} },
  { { 15, 15, 15, 15}, {-48, -48, -48, -48} },
  { { 15, 15, 15, 15}, {-47, -47, -47, -47} },
  { { 15, 15, 15, 15}, {-46, -46, -46, -46} },
  { { 15, 15, 15, 15}, {-45, -45, -45, -45} },
  { { 15, 15, 15, 15}, {-44, -44, -44, -44} },
  { { 15, 15, 15, 15}, {-43, -43, -43, -43} },
  { { 15, 15, 15, 15}, {-42, -42, -42, -42} },
  { { 15, 15, 15, 15}, {-41, -41, -41, -41} },
  { { 15, 15, 15, 15}, {-40, -40, -40, -40} },
  { { 15, 15, 15, 15}, {-39, -39, -39, -39} },
  { { 15, 15, 15, 15}, {-38, -38, -38, -38} },
  { { 15, 15, 15, 15}, {-37, -37, -37, -37} },
  { { 15, 15, 15, 15}, {-36, -36, -36, -36} },
  { { 15, 15, 15, 15}, {-35, -35, -35, -35} },
  { { 15, 15, 15, 15}, {-34, -34, -34, -34} },
  { { 15, 15, 15, 15}, {-33, -33, -33, -33} },
  { { 15, 15, 15, 15}, {-32, -32, -32, -32} },
  { { 15, 15, 15, 15}, {-31, -31, -31, -31} },
  { { 15, 15, 15, 15}, {-30, -30, -30, -30} },
  { { 15, 15, 15, 15}, {-29, -29, -29, -29} },
  { { 15, 15, 15, 15}, {-28, -28, -28, -28} },
  { { 15, 15, 15, 15}, {-27, -27, -27, -27} },
  { { 15, 15, 15, 15}, {-26, -26, -26, -26} },
  { { 15, 15, 15, 15}, {-25, -25, -25, -25} },
  { { 15, 15, 15, 15}, {-24, -24, -24, -24} },
  { { 15, 15, 15, 15}, {-23, -23, -23, -23} },
  { { 15, 15, 15, 15}, {-22, -22, -22, -22} },
  { { 15, 15, 15, 15}, {-21, -21, -21, -21} },
  { { 15, 15, 15, 15}, {-20, -20, -20, -20} },
  { { 15, 15, 15, 15}, {-19, -19, -19, -19} },
  { { 15, 15, 15, 15}, {-18, -18, -18, -18} },
  { { 15, 15, 15, 15}, {-17, -17, -17, -17} },
  { { 15, 15, 15, 15}, {-16, -16, -16, -16} },
  { { 15, 15, 15, 15}, {-15, -15, -15, -15} },
  { { 15, 15, 15, 15}, {-14, -14, -14, -14} },
  { { 15, 15, 15, 15}, {-13, -13, -13, -13} },
  { { 15, 15, 15, 15}, {-12, -12, -12, -12} },
  { { 15, 15, 15, 15}, {-11, -11, -11, -11} },
  { { 15, 15, 15, 15}, {-10, -10, -10, -10} },
  { { 15, 15, 15, 15}, {-9, -9, -9, -9} },
  { { 15, 15, 15, 15}, {-8, -8, -8, -8} },
  { { 15, 15, 15, 15}, {-7, -7, -7, -7} },
  { { 15, 15, 15, 15}, {-6, -6, -6, -6} },
  { { 15, 15, 15, 15}, {-5, -5, -5, -5} },
  { { 15, 15, 15, 15}, {-4, -4, -4, -4} },
  { { 15, 15, 15, 15}, {-3, -3, -3, -3} },
  { { 15, 15, 15, 15}, {-2, -2, -2, -2} },
  { { 15, 15, 15, 15}, {-1, -1, -1, -1} },
  { { 15, 15, 15, 15}, {0, 0, 0, 0} }
 };


#endif /* !_LUT_H_ */

/*
 * End of "$Id: lut.h,v 1.1 94/02/01 19:43:52 mike Exp Locker: mike $".
 */
